> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/cmp/web-sdk/third-parties/direct-integrations/prebid/us-states-laws.md).

# US states laws

For US states laws, we recommend disabling Prebid when a user has opted out of personal data processing (selling, sharing, etc.).

This can be implemented by adding code on your website to only request bids when the user has not opted out.

### Code sample

```javascript
window.didomiOnReady = window.didomiOnReady || [];
window.didomiOnReady.push(function (Didomi) {
    const userStatus = window.Didomi.getCurrentUserStatus();

    if (
        userStatus.regulation == 'cpra'
        || userStatus.regulation == 'cpa'
        || userStatus.regulation == 'ucpa'
        || userStatus.regulation == 'ctdpa'
        || userStatus.regulation == 'vcdpa'
    ) {
        if (
            !!Object
                .values(userStatus.purposes)
                .find(purpose => purpose.enabled === false)
        ) {
            // User has opted out, do not load prebid ads
            // Load non-prebid ads via GAM or another ad server
        } else {
            // User has not opted out, load prebid ads and your usual ad logic without restriction
        }
    }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.didomi.io/cmp/web-sdk/third-parties/direct-integrations/prebid/us-states-laws.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
